import { Component, Input } from '@angular/core';
import { Location } from '@angular/common';
var NavigationItemComponent = (function () {
    function NavigationItemComponent(location) {
        this.location = location;
    }
    NavigationItemComponent.prototype.isNode = function (treeElmt) {
        return typeof treeElmt.children !== 'undefined';
    };
    NavigationItemComponent.prototype.asNode = function (treeElmt) {
        return this.isNode(treeElmt) ? treeElmt : null;
    };
    NavigationItemComponent.prototype.isActiveNavItem = function (treeElmt) {
        return treeElmt.targetUrl === this.location.path();
    };
    return NavigationItemComponent;
}());
export { NavigationItemComponent };
NavigationItemComponent.decorators = [
    { type: Component, args: [{
                selector: 'app-nav-item',
                template: "<li *ngFor=\"let treeElmt of treeElements\"> <a id=\"nav-link-{{treeElmt.title}}\"  [routerLink]=\"treeElmt.targetUrl\" [ngClass]=\"{ 'active': isActiveNavItem(treeElmt) }\"> <span [ngClass]=\"[ 'glyphicon', treeElmt.imageCssClass ]\"></span> {{treeElmt.title}} </a> <ul *ngIf=\"isNode(treeElmt)\" id=\"nav-node-{{treeElmt.title}}\"> <app-nav-item [treeElements]=\"asNode(treeElmt).children\"></app-nav-item> </ul> </li> "
            },] },
];
/** @nocollapse */
NavigationItemComponent.ctorParameters = function () { return [
    { type: Location, },
]; };
NavigationItemComponent.propDecorators = {
    'treeElements': [{ type: Input },],
};
//# sourceMappingURL=navigation-item.component.js.map